/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package JamaPlus;

import JamaPlus.util.*;

/**
 *
 * @author Bernard
 */

public class SparseSVD {

    private int d; // dimensionality (rank)
    private double[][] Ut; // (d x m) transpose of left singular vectors (rows of Ut)
    private double[][] Vt; // (d x n) transpose of right singular vectors (rows of Vt)
    private double[] S; // d singular values
    final static double[] END = new double[]{-1e-30, 1e-30};
    final static double KAPPA = 1e-6;

    public SparseSVD(SparseMatrix spm, int d) {
        SparseMatrix spmat;
        boolean transpose = spm.getColumnDimension() >= spm.getRowDimension() * 1.2;
        if (transpose) spmat = spm.transpose();
        else spmat = spm.copy();
        int dim = d;
        int rows = spmat.getRowDimension();
        int cols = spmat.getColumnDimension();
        dim = Math.min(Math.min(rows, cols), dim);
        int iter = dim;  // nb d'itérations max
        double eps = Machine.eps();
    }
}
