/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package visuAnalec.elements;

import java.util.*;

/**
 *
 * @author Bernard
 */
public class Schema extends Element {
  private HashSet<Element> contenu = new HashSet<Element>();
  public Schema() {
    super();
  }
  public Schema(String type) {
    super(type);
  }
  public boolean ajouter(Element elt) {
    if (elt == null) return false;
    return contenu.add(elt);
  }
  public boolean oter(Element elt) {
    return contenu.remove(elt);
  }
  public HashSet<Element> getContenu() {
    return contenu;
  }
  public boolean contient(Element elt) {
    return contenu.contains(elt);
  }
  protected HashSet<Unite> getUnitesSousjacentesNonTriees() {
    HashSet<Unite> units = new HashSet<Unite>();
    for (Element elt : contenu) {
      units.addAll(elt.getUnitesSousjacentesNonTriees());
    }
    return units;
  }
  public boolean coincide(Element elt) {
    if (elt.getClass() != Schema.class) return false;
    Schema sch = (Schema) elt;
    if (!getType().equals(sch.getType())) return false;
    if (contenu.size() != sch.getContenu().size()) return false;
    Element[] contenu1 = contenu.toArray(new Element[0]);
    Arrays.sort(contenu1);
    Element[] contenu2 = sch.getContenu().toArray(new Element[0]);
    Arrays.sort(contenu2);
    for (int i = 0; i < contenu1.length; i++) if (!contenu1[i].coincide(contenu2[i])) return false;
    return true;
  }
}
